/*
 * Copyright (c) 2012-2014 Wind River Systems, Inc.
 *
 * SPDX-License-Identifier: Apache-2.0
 */

#include <zephyr.h>
#include <device.h>
#include <devicetree.h>
#include <sys/printk.h>
#include <drivers/uart.h>


void main(void)
{

	
	static const struct device *uart_dev;
    //uart_dev = device_get_binding(DT_LABEL(DT_NODELABEL(uart1)));
	uart_dev = device_get_binding("UART_1");

    if (uart_dev == NULL) {
        printk("Cannot initialize UART 1 device\n");
        return;
    }
	else
	   printk("Success.\n");
	

	printk("Hello World! %s\n", CONFIG_BOARD);
	
	

	
}
